void _estack(void);
void Reset_Handler(void);

__attribute__((weak)) void NMI_Handler(void) {}
__attribute__((weak)) void HardFault_Handler(void) {}
__attribute__((weak)) void SVC_Handler(void) {}
__attribute__((weak)) void PendSV_Handler(void) {}
__attribute__((weak)) void SysTick_Handler(void) {}
__attribute__((weak)) void WWDG_IRQHandler(void) {}
__attribute__((weak)) void RTC_IRQHandler(void) {}
__attribute__((weak)) void FLASH_IRQHandler(void) {}
__attribute__((weak)) void RCC_IRQHandler(void) {}
__attribute__((weak)) void EXTI0_1_IRQHandler(void) {}
__attribute__((weak)) void EXTI2_3_IRQHandler(void) {}
__attribute__((weak)) void EXTI4_15_IRQHandler(void) {}
__attribute__((weak)) void DMA1_Channel1_IRQHandler(void) {}
__attribute__((weak)) void DMA1_Channel2_3_IRQHandler(void) {}
__attribute__((weak)) void DMA1_Channel4_5_IRQHandler(void) {}
__attribute__((weak)) void ADC1_IRQHandler(void) {}
__attribute__((weak)) void TIM1_BRK_UP_TRG_COM_IRQHandler(void) {}
__attribute__((weak)) void TIM1_CC_IRQHandler(void) {}
__attribute__((weak)) void TIM3_IRQHandler(void) {}
__attribute__((weak)) void TIM6_IRQHandler(void) {}
__attribute__((weak)) void TIM14_IRQHandler(void) {}
__attribute__((weak)) void TIM15_IRQHandler(void) {}
__attribute__((weak)) void TIM16_IRQHandler(void) {}
__attribute__((weak)) void TIM17_IRQHandler(void) {}
__attribute__((weak)) void I2C1_IRQHandler(void) {}
__attribute__((weak)) void I2C2_IRQHandler(void) {}
__attribute__((weak)) void SPI1_IRQHandler(void) {}
__attribute__((weak)) void SPI2_IRQHandler(void) {}
__attribute__((weak)) void USART1_IRQHandler(void) {}
__attribute__((weak)) void USART2_IRQHandler(void) {}

__attribute__((section(".isr_vector")))
void (*isr_vectors[])(void) = {
	_estack,
	Reset_Handler,
	NMI_Handler,
	HardFault_Handler,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	SVC_Handler,
	0,
	0,
	PendSV_Handler,
	SysTick_Handler,
	WWDG_IRQHandler,
	0,
	RTC_IRQHandler,
	FLASH_IRQHandler,
	RCC_IRQHandler,
	EXTI0_1_IRQHandler,
	EXTI2_3_IRQHandler,
	EXTI4_15_IRQHandler,
	0,
	DMA1_Channel1_IRQHandler,
	DMA1_Channel2_3_IRQHandler,
	DMA1_Channel4_5_IRQHandler,
	ADC1_IRQHandler,
	TIM1_BRK_UP_TRG_COM_IRQHandler,
	TIM1_CC_IRQHandler,
	0,
	TIM3_IRQHandler,
	TIM6_IRQHandler,
	0,
	TIM14_IRQHandler,
	TIM15_IRQHandler,
	TIM16_IRQHandler,
	TIM17_IRQHandler,
	I2C1_IRQHandler,
	I2C2_IRQHandler,
	SPI1_IRQHandler,
	SPI2_IRQHandler,
	USART1_IRQHandler,
	USART2_IRQHandler,
	0,
	0,
	0,
};

